summaryrefslogtreecommitdiffstats
path: root/graphics/ueberzugpp
diff options
context:
space:
mode:
author xaizek <xaizek@posteo.net>2023-05-13 02:03:31 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-05-13 19:27:13 +0700
commit7e7e1b62c19bfdffd9919035988c155ecf9fe118 (patch)
tree5ced45a79b902f59028596ccb18e2f5e5d218d3b /graphics/ueberzugpp
parent2abf0c63b5934baf343ec7c5fa2e54a4fc3ca41f (diff)
downloadslackbuilds-7e7e1b62c19bfdffd9919035988c155ecf9fe118.tar.gz
slackbuilds-7e7e1b62c19bfdffd9919035988c155ecf9fe118.tar.xz
graphics/ueberzugpp: Added (replacement for ueberzug written in C++)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics/ueberzugpp')
-rw-r--r--graphics/ueberzugpp/README11
-rw-r--r--graphics/ueberzugpp/slack-desc19
-rw-r--r--graphics/ueberzugpp/ueberzugpp.SlackBuild100
-rw-r--r--graphics/ueberzugpp/ueberzugpp.info10
4 files changed, 140 insertions, 0 deletions
diff --git a/graphics/ueberzugpp/README b/graphics/ueberzugpp/README
new file mode 100644
index 0000000000..1fa0c36a92
--- /dev/null
+++ b/graphics/ueberzugpp/README
@@ -0,0 +1,11 @@
+ueberzugpp (drop in replacement for ueberzug written in C++)
+
+Ɯberzug++ is a command line utility written in C++ which allows to
+draw images on terminals by using X11 child windows, sixels or the
+kitty image protocol.
+
+This project intends to be a drop-in replacement for the now
+defunct ueberzug project (https://github.com/seebye/ueberzug).
+
+NOTE: Do not install at the same time with "ueberzug" package!
+ Both provide /usr/bin/ueberzug.
diff --git a/graphics/ueberzugpp/slack-desc b/graphics/ueberzugpp/slack-desc
new file mode 100644
index 0000000000..d2d0c773a7
--- /dev/null
+++ b/graphics/ueberzugpp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ueberzugpp: ueberzugpp (drop in replacement for ueberzug written in C++)
+ueberzugpp:
+ueberzugpp: Ueberzug++ is a command line utility written in C++ which allows to
+ueberzugpp: draw images on terminals by using X11 child windows, sixels or the
+ueberzugpp: kitty image protocol.
+ueberzugpp:
+ueberzugpp: This project intends to be a drop-in replacement for the now
+ueberzugpp: defunct ueberzug project.
+ueberzugpp:
+ueberzugpp:
+ueberzugpp:
diff --git a/graphics/ueberzugpp/ueberzugpp.SlackBuild b/graphics/ueberzugpp/ueberzugpp.SlackBuild
new file mode 100644
index 0000000000..183c354429
--- /dev/null
+++ b/graphics/ueberzugpp/ueberzugpp.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for ueberzugpp
+
+# Copyright 2023 xaizek
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ueberzugpp
+VERSION=${VERSION:-2.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/ueberzugpp/ueberzugpp.info b/graphics/ueberzugpp/ueberzugpp.info
new file mode 100644
index 0000000000..1118425642
--- /dev/null
+++ b/graphics/ueberzugpp/ueberzugpp.info
@@ -0,0 +1,10 @@
+PRGNAM="ueberzugpp"
+VERSION="2.8.1"
+HOMEPAGE="https://github.com/jstkdng/ueberzugpp"
+DOWNLOAD="https://github.com/jstkdng/ueberzugpp/archive/v2.8.1/ueberzugpp-2.8.1.tar.gz"
+MD5SUM="1d3e5aa19f2d75069f44a1d6fa49057d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="CLI11 cppzmq fmt libsixel nlohmann_json oneTBB spdlog vips zeromq"
+MAINTAINER="xaizek"
+EMAIL="xaizek@posteo.net"